import { DeviceTaskType } from '../IDevice';
import { DeviceControlFeature } from '../IDeviceTask';
var DeviceTask = (function () {
    function DeviceTask() {
        this._taskType = DeviceTaskType.GetChannelsState;
        this._featureType = DeviceControlFeature.GetState;
        this._channel = 0;
        this._guid = "";
        this._deviceGuid = "";
    }
    Object.defineProperty(DeviceTask.prototype, "TaskType", {
        get: function () {
            return this._taskType;
        },
        set: function (taskType) {
            this._taskType = taskType;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceTask.prototype, "FeatureType", {
        get: function () {
            return this._featureType;
        },
        set: function (featureType) {
            this._featureType = featureType;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceTask.prototype, "Guid", {
        get: function () {
            return this._guid;
        },
        set: function (guid) {
            this._guid = guid;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceTask.prototype, "DeviceGuid", {
        get: function () {
            return this._deviceGuid;
        },
        set: function (value) {
            this._deviceGuid = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DeviceTask.prototype, "Channel", {
        get: function () {
            return this._channel;
        },
        set: function (value) {
            this._channel = value;
        },
        enumerable: false,
        configurable: true
    });
    return DeviceTask;
}());
export { DeviceTask };
//# sourceMappingURL=DeviceTask.js.map